plugins {
    id('com.ruoyi.java-conventions')
    id('org.springframework.boot')
}

dependencies {
    // implementation('org.springframework.boot:spring-boot-starter-web')
    // implementation('org.springframework.boot:spring-boot-starter-thymeleaf')
}

group = 'com.ruoyi'
version = System.properties['buildVersion']

tasks.named("bootJar") {
    archiveClassifier = 'boot'
    archiveFileName = "${project.archivesBaseName}.jar"
}

tasks.named("jar") {
    archiveClassifier = ''
    exclude {
        it.name.endsWith("Application.class") || it.name.endsWith("ApplicationKt.class")
    }
    exclude('application*.yml', 'application*.properties')
}
